#
# spec file for package python-jupyterlab-templates
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define         skip_python2 1
Name:           python-jupyterlab-templates
Version:        0.2.2
Release:        bp156.3.1
Summary:        Templates for notebooks in JupyterLab
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/timkpaine/jupyterlab_templates
Source:         https://files.pythonhosted.org/packages/py2.py3/j/jupyterlab-templates/jupyterlab_templates-%{version}-py2.py3-none-any.whl
BuildRequires:  %{python_module pip}
BuildRequires:  fdupes
BuildRequires:  jupyter-jupyterlab-filesystem
BuildRequires:  jupyter-notebook-filesystem
BuildRequires:  python-rpm-macros
Requires:       jupyter-jupyterlab-templates = %{version}
Requires:       python-jupyterlab >= 1.0.0
Provides:       python-jupyter_jupyterlab_templates = %{version}
Obsoletes:      python-jupyter_jupyterlab_templates < %{version}
Conflicts:      jupyter-jupyterlab_templates < %{version}
BuildArch:      noarch
%python_subpackages

%description
Support for jupyter notebook templates in jupyterlab.

%package     -n jupyter-jupyterlab-templates
Summary:        Templates for notebooks in JupyterLab
Requires:       python3-jupyterlab-templates = %{version}
Requires:       jupyter-jupyterlab >= 1.0.0
Provides:       jupyter-jupyterlab_templates = %{version}
Obsoletes:      jupyter-jupyterlab_templates < %{version}

%description -n jupyter-jupyterlab-templates
Support for jupyter notebook templates in jupyterlab.

%prep
%setup -q -c -T

%build
# not needed

%install
cp -a %{SOURCE0} .
%pyproject_install
%{jupyter_move_config}
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{fdupes %{buildroot}%{_jupyter_prefix} %{buildroot}%{python3_sitelib}}

cp %{buildroot}%{python3_sitelib}/jupyterlab_templates-%{version}.dist-info/LICENSE .

%files %{python_files}
%license %{python_sitelib}/jupyterlab_templates-%{version}.dist-info/LICENSE
%{python_sitelib}/jupyterlab_templates-%{version}.dist-info/
%{python_sitelib}/jupyterlab_templates/

%files -n jupyter-jupyterlab-templates
%license LICENSE
%{_jupyter_servextension_confdir}/jupyterlab_templates.json
%{_jupyter_labextensions_dir}/jupyterlab_templates-0.2.2.tgz

%changelog
* Mon Dec 16 2019 Bernhard Wiedemann <bwiedemann@suse.com>
- Use pyproject_install macro (boo#1094323)
* Thu Dec 12 2019 Todd R <toddrme2178@gmail.com>
- Fix conflict with old version
* Mon Dec  9 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.2.2
  * Fix random typos
  * Refactor setup.py and add make fix
  * Allow for opting out of core paths
- Rename spec file to python-jupyterlab-templates to work better
  with OSC python tooling.
* Wed Nov 27 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.2.1
  * Reload templates on disk
* Sat Jul 27 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.2.0
  * JupyterLab 1.0.0 support
  * Will now scan standard locations for vendor notebooks
* Mon Jun  3 2019 Todd R <toddrme2178@gmail.com>
- Fix dependency name
* Mon Apr 29 2019 Todd R <toddrme2178@gmail.com>
- Update to 0.0.8
  * Allow to delete default template #20
  * Docs update/formatting/bugfixes/better linting/move to pytest
* Thu Apr 25 2019 Todd R <toddrme2178@gmail.com>
- Rename to to match jupyter package naming guidelines.
* Thu Sep 20 2018 Todd R <toddrme2178@gmail.com>
- Disable python2 build since jupyterlab no longer supports python2
* Fri Sep  7 2018 toddrme2178@gmail.com
- Update to 0.0.7
  * fixing icon
  * remove ujson
  * badges
* Thu Aug  2 2018 toddrme2178@gmail.com
- Update to 0.0.5
  * fixing #10 svg parsing error for icon
  * fixed missing template names in firefox
* Sun Jun 10 2018 jengelh@inai.de
- Avoid bashism in scriptlet.
* Tue May 29 2018 toddrme2178@gmail.com
- Use || true syntax instead of exit 0
* Thu May  3 2018 toddrme2178@gmail.com
- Use %%license tag
* Fri Apr 20 2018 toddrme2178@gmail.com
- Initial version
